Subject: bug#4418: 23.1; Long timeout on starting emacs-23.1

From: [email-masked] (Dr. Michael Dowling)
Date: Sat, 12 Sep 2009 12:13:26 +0200 (CEST)

Emacs takes infinity and a week to start if there is no Internet
connection.  Emacs starts normally whenever there is an Internet
connection.

Originally, I used the Arch Linux x86_64 cvs package.  About two weeks
ago, I suddenly started to get this timeout effect.  I then upgraded to
the stable version; same effect.  I then compiled it myself; same
effect.

This looks rather like it might be a feature; presumably emacs has a
reason to try to do something via the Internet.  If so, then it's a
feature that one must be able to turn off.

I live in one city at the weekends where I have an Internet connection,
but I work in another during the week where I don't.  It is quite
untenable having to wait so long everytime emacs is started where there
is no Internet connection.

I also find it rather disconcerting when a program like emacs starts
making Internet connections without being asked to explicitly and
without my being able to discover why.

I tried look at the NEWS and BUS documentation, but could find nothing
to explain this behaviour.

In GNU Emacs 23.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.5)
 of 2009-07-31 on bitzer.hoetzel.info
configured using `configure  '--prefix=/usr' '--sysconfdir=/etc' '--libexecdir=/usr/lib' '--localstatedir=/var' '--mandir=/usr/share/man' '--without-sound' '-with-x-toolkit=gtk' 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe''

Important settings:
  value of $LC_ALL: [email-masked]
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: [email-masked]
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-9-unix
  default-enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  icomplete-mode: t
  shell-dirtrack-mode: t
  display-time-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
m e m a c s RET m b u g s RET ESC [ B ESC [ B ESC [ 
B ESC [ B ESC [ B TAB ESC [ B ESC [ B ESC [ B ESC [ 
B ESC [ B ESC [ B ESC [ B ESC [ 1 ~ ESC [ C ESC [ C 
ESC [ C ESC [ C RET u TAB ESC [ B RET ESC x r e p o 
TAB r TAB RET

Recent messages:
("emacs" "-f" "info")
Toggling tool-bar-mode off; better pass an explicit argument.
Toggling menu-bar-mode off; better pass an explicit argument.
Loading rubydb3x...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Composing main Info directory...done
Making completion list...